Aden

User

Authenticated user's own account data. Profile, identities, notifications, preferences

GET
/api/v1/flags/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/flags/"
GET
/api/v1/app-version/
curl -X GET "https://example.com/api/v1/app-version/"
GET
/api/v1/stats/overview

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/stats/overview?teamId=string"
GET
/api/v1/stats/storage

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/stats/storage?teamId=string"
GET
/api/v1/user/world-inventory

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/world-inventory"
GET
/api/v1/user/profile

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/profile"
GET
/api/v1/user/identities

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/identities"
GET
/api/v1/user/notifications

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/notifications"
GET
/api/v1/user/notification-feed

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/notification-feed"
GET
/api/v1/user/preferences

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/preferences"
PATCH
/api/v1/user/preferences

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/user/preferences" \  -H "Content-Type: application/json" \  -d '{}'
PATCH
/api/v1/user/default-team

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/user/default-team" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0  }'
PATCH
/api/v1/user/zero-data-retention

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/user/zero-data-retention" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
POST
/api/v1/user/push-tokens

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/user/push-tokens" \  -H "Content-Type: application/json" \  -d '{    "token": "string",    "platform": "ios"  }'
DELETE
/api/v1/user/push-tokens

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X DELETE "https://example.com/api/v1/user/push-tokens" \  -H "Content-Type: application/json" \  -d '{    "token": "string"  }'
POST
/api/v1/user/app-opened

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

curl -X POST "https://example.com/api/v1/user/app-opened"
GET
/api/v1/user/account/deletion-status

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/user/account/deletion-status"
DELETE
/api/v1/user/account

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X DELETE "https://example.com/api/v1/user/account" \  -H "Content-Type: application/json" \  -d '{    "confirmation": "string"  }'
GET
/api/v1/wallet/identity/{platform}

Path Parameters

platform*string
Default"apple"

Value in

  • "apple"
  • "google"

Query Parameters

token*string
curl -X GET "https://example.com/api/v1/wallet/identity/apple?token=string"
GET
/api/v1/wallet/identity
curl -X GET "https://example.com/api/v1/wallet/identity"
GET
/api/v1/inbox/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/inbox/"
Was this helpful?